Bug 710906 - (oct-signal) Review Request: octave-signal - Signal processing for Octave
Review Request: octave-signal - Signal processing for Octave
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On: oct-optim
Blocks: oct-communications
  Show dependency treegraph
 
Reported: 2011-06-05 12:24 EDT by Thomas Sailer
Modified: 2011-09-09 20:27 EDT (History)
4 users (show)

See Also:
Fixed In Version: octave-signal-1.0.11-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-09 13:06:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
susi.lehtola: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2011-06-05 12:24:10 EDT
Spec URL: http://sailer.fedorapeople.org/octave-signal.spec
SRPM URL: http://sailer.fedorapeople.org/octave-signal-1.0.11-1.fc15.src.rpm
Description: Signal processing tools, including filtering, windowing and display
Comment 1 José Matos 2011-06-13 11:24:07 EDT
I will take the review.
Comment 2 Susi Lehtola 2011-08-12 13:45:52 EDT
Ping José? Are you going to do the review or not?
Comment 3 Susi Lehtola 2011-08-16 03:04:58 EDT
Looks like José is MIA. Taking over review.
Comment 4 Susi Lehtola 2011-08-16 03:57:11 EDT
rpmlint output:
octave-signal.src:11: W: macro-in-comment %40unreal
octave-signal.x86_64: W: obsolete-not-provided octave-forge
octave-signal.x86_64: W: hidden-file-or-dir /usr/share/octave/packages/signal-1.0.11/packinfo/.autoload
octave-signal.x86_64: E: zero-length /usr/share/octave/packages/signal-1.0.11/packinfo/.autoload
octave-signal.x86_64: W: dangerous-command-in-%preun cp
3 packages and 0 specfiles checked; 1 errors, 4 warnings.

These are OK.

**

Here you have the correct dependency to octave(api). Good.

I wouldn't mind a comment about Patch0, e.g. "Fix the address of FSF.", though.

**

You are missing the -v flag from mkoctfile in the Makefile to get the build commands to display. Fix this in the nostrip patch.

**

Change the summary to "Signal processing tools for Octave"
                                         ^^^^^
**

Why are you using 

%octave_cmd pkg build '-verbose' '-nodeps'
%{_tmppath}/%{name}-%{version}-%{release}.%{_arch} %{_builddir}/%{buildsubdir}

instead of

%octave_pkg_build ?

**

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. NEEDSWORK
- Actual license is GPLv3+, not GPLv2+.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
$ md5sum signal-1.0.11.tar.gz ../SOURCES/signal-1.0.11.tar.gz 
808a4b5d3c7953e1ac66ef870693cfa5  signal-1.0.11.tar.gz
808a4b5d3c7953e1ac66ef870693cfa5  ../SOURCES/signal-1.0.11.tar.gz

MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A

MUST: Optflags are used and time stamps preserved. NEEDSWORK
- Add "-v" to mkoctfile command in Makefile to see flags.

MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned, architecture dependent dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 5 Thomas Sailer 2011-08-26 06:41:30 EDT
Thank you for taking the review!

I have addressed your points:
http://sailer.fedorapeople.org/octave-signal-1.0.11-2.fc15.src.rpm
Comment 6 Susi Lehtola 2011-08-26 08:41:20 EDT
All issues have been fixed, so this package is

APPROVED.

Same note as in bug #710905: be sure to build against octave-3.4.2-2.
Comment 7 Thomas Sailer 2011-08-26 10:05:47 EDT
Thank you!

New Package SCM Request
=======================
Package Name: octave-signal
Short Description: Signal processing tools for Octave
Owners: sailer
Branches: f15 f16
InitialCC:
Comment 8 Jon Ciesla 2011-08-26 10:25:50 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2011-09-01 05:36:10 EDT
octave-signal-1.0.11-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/octave-signal-1.0.11-2.fc16
Comment 10 Fedora Update System 2011-09-01 08:05:38 EDT
octave-signal-1.0.11-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/octave-signal-1.0.11-2.fc15
Comment 11 Fedora Update System 2011-09-01 15:01:50 EDT
octave-signal-1.0.11-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 12 Fedora Update System 2011-09-09 13:06:15 EDT
octave-signal-1.0.11-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2011-09-09 20:27:35 EDT
octave-signal-1.0.11-2.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.